aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMorgan Richomme <morgan.richomme@orange.com>2016-10-17 16:14:50 +0200
committerMorgan Richomme <morgan.richomme@orange.com>2016-10-19 15:20:51 +0200
commit87ddf690c47d38659d9b126bb56aa7de18d22ef8 (patch)
tree327a9d5db7c444014cc16dc7f1a344dc2890d353
parent4e7522b1223582b4c52a7b15df4f275fcf9bc8e7 (diff)
Add unittests dir
JIRA: FUNCTEST-336 Change-Id: Icd958552fafb4e8dc58f9008586bcaf33862ccd4 Signed-off-by: Morgan Richomme <morgan.richomme@orange.com>
-rwxr-xr-xrun_unit_tests.sh25
-rw-r--r--setup.py24
-rw-r--r--unit_tests/__init__.py0
3 files changed, 49 insertions, 0 deletions
diff --git a/run_unit_tests.sh b/run_unit_tests.sh
new file mode 100755
index 000000000..a37cd3d98
--- /dev/null
+++ b/run_unit_tests.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+set -o errexit
+set -o pipefail
+
+echo "Running unit tests..."
+cd .
+
+# start vitual env
+virtualenv ./functest_venv
+source ./functest_venv/bin/activate
+
+# install python packages
+easy_install -U setuptools
+easy_install -U pip
+pip install -r docker/requirements.pip
+pip install -e .
+
+# unit tests
+nosetests --with-xunit \
+ --with-coverage \
+ --cover-package=functest\
+ --cover-xml \
+ unit_tests
+
+deactivate
diff --git a/setup.py b/setup.py
new file mode 100644
index 000000000..58740f4aa
--- /dev/null
+++ b/setup.py
@@ -0,0 +1,24 @@
+##############################################################################
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+
+from setuptools import setup, find_packages
+
+
+setup(
+ name="functest",
+ version="master",
+ packages=find_packages(),
+ include_package_data=True,
+ package_data={
+ },
+ url="https://www.opnfv.org",
+ install_requires=["coverage==4.1",
+ "mock==1.3.0",
+ "nose==1.3.7"],
+ entry_points={
+ }
+)
diff --git a/unit_tests/__init__.py b/unit_tests/__init__.py
new file mode 100644
index 000000000..e69de29bb
--- /dev/null
+++ b/unit_tests/__init__.py